16 lines
450 B
Plaintext
Raw Normal View History

2025-02-08 02:54:01 -08:00
#!/command/with-contenv sh
2025-02-10 08:16:50 -08:00
if [ -z "$WHITELIST_FEED_URL" ]; then
echo "Error: WHITELIST_FEED_URL is not set" >&2
exit 1
fi
2025-02-08 02:54:01 -08:00
echo "Loading whitelist from ${WHITELIST_FEED_URL}"
2025-02-10 08:16:50 -08:00
curl -sS --request GET --header "accept: text/plain" --url "$WHITELIST_FEED_URL" -o /etc/opentracker/whitelist || echo "Warning: Failed to fetch whitelist, using existing whitelist file."
s6-setuidgid farmhand /bin/opentracker -f /etc/opentracker/opentracker.conf
2025-02-08 02:54:01 -08:00